com.taosdata.jdbc.enums

## Enum SchemalessTimestampType

- java.lang.Object
- - java.lang.Enum<SchemalessTimestampType>
  - - com.taosdata.jdbc.enums.SchemalessTimestampType

All Implemented Interfaces:
  Serializable, Comparable<SchemalessTimestampType>

    public enum SchemalessTimestampType
    extends Enum<SchemalessTimestampType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HOURS`
`MICRO_SECONDS`
`MILLI_SECONDS`
`MINUTES`
`NANO_SECONDS`
`NOT_CONFIGURED`
`SECONDS`

### Method Summary

All Methods Static Methods Concrete Methods
`static SchemalessTimestampType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SchemalessTimestampType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_CONFIGURED

    public static final SchemalessTimestampType NOT_CONFIGURED

#### HOURS

    public static final SchemalessTimestampType HOURS

#### MINUTES

    public static final SchemalessTimestampType MINUTES

#### SECONDS

    public static final SchemalessTimestampType SECONDS

#### MILLI_SECONDS

    public static final SchemalessTimestampType MILLI_SECONDS

#### MICRO_SECONDS

    public static final SchemalessTimestampType MICRO_SECONDS

#### NANO_SECONDS

    public static final SchemalessTimestampType NANO_SECONDS

### Method Detail

#### values

    public static SchemalessTimestampType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SchemalessTimestampType c : SchemalessTimestampType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SchemalessTimestampType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null